﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    image bg bg1 = "bg1.jpg"
    image bg bg2 = "bg2.jpg"
    image bg bg3 = "bg3.jpg"
    image bg bg4 = "bg4.jpg"
    image bg bg5 = "bg5.jpg"
    image bg n1 = "1.jpg"
    image bg n2 = "2.jpg"
    image bg n3 = "3.jpg"
    image bg n4 = "4.jpg"
    image Iridia = "Iridia.png"
    image Deonar = "Deonar.png"
    # Declare characters used by this game.
    $ i = Character('Иридия', color="#c8ffc8")
    $ d = Character('Деонар', color="#cc0000")


# The game starts here.
label start:
    scene bg n1
    with Dissolve(.5)
    pause
    scene bg bg1
    with Dissolve(.5)
    play music "1.mp3" fadeout 1
    "С усилием я поднялась на ноги. Подъем в гору оказался намного сложнее, чем представлялось поначалу и опаснее, чем утверждал куратор этой местности из Гильдии Воинов. "
    "Считая исчезнувшего несколько минут назад в буреломе медверога, это был уже третий раз, когда мне приходилось посреди восхождения падать на землю, укрываться рейнджерским плащом и переставать дышать, пока крупный хищник не скроется из виду."
    "Я отряхнула с живота и колен прелые осенние листья и уже потянулась, чтобы подобрать с земли дорожный посох, как мое внимание привлек заметный на мягкой лесной подстилке только тренированному глазу рейнджера отпечаток ноги."
    i "Таак... Направление отпечатка – в гору. Отпечаток длинный, значит человек высокого роста."
    i "Тяжелый подбитый железом сапог, носить такие постоянно могут себе позволить только физически сильные люди."
    "Я оглядела землю вокруг уже внимательнее. Через несколько метров, в небольшой заросшей мхом впадине удалось найти более четкие следы."
    i "Расстояние между следами для его роста небольшое, значит он никуда не торопился, сохранял дыхание. Очевидно, для последующего сражения."
    "Похоже, это именно тот, кого я ищу. С новыми силами я устремилась к вершине, корректируя направление по попадавшимся тут и там зацепкам."
    "Через полчаса я наткнулась на первое серьезное доказательство личности преследуемого."
    "Посреди небольшой опушки лежал труп бронешёрста, разрубленный чудовищной силы ударом надвое. "
    "Обычному человеку с трудом удавалось нанести бронешёрсту даже царапину, не то чтобы серьезную рану. Разрубить же этого зверя пополам, вместе с костями, хрящами и прочим, было под силу только одному известному мне человеку."
    "И именно его мне и нужно было найти."
    
    scene bg n2
    with Dissolve(.5)
    pause
    scene bg bg2
    with Dissolve(.5)
    "Костер занялся мгновенно, спасибо добротному гномьему огниву. Дунув под сложенные домиком сухие ветки еще пару раз для острастки, я принялся свежевать кролика, выуженного из загона в гоблинской пещере."
    "Кролик попался хороший, жирный. Уж в чем-чем, а в лесной живности и том, как её получше откормить, гоблины толк знали."
    "Внезапно, движение на краю обзора отвлекло меня от насаживания выпотрошенной тушки на импровизированный вертел из сосновой ветки. Не подавая виду, я как бы случайно положил ладонь на рукоять метательного кинжала и перевел в сторону движения рассеянный взгляд."
    show Iridia
    "Коричневые оленьей кожи куртка и штаны, маскировочный осенний плащ, длинные уши, торчащие из-за коротких блондинистых прядей."
    d "Хм, эльф-рейнджер..."
    "Удостоверившись, что его охотничий лук висит за спиной, а руки пусты, я поприветствовал его."
    
    scene bg n1
    with Dissolve(.5)
    pause
    scene bg bg2
    with Dissolve(.5)
    play music "2.mp3" fadeout 1
    show Deonar
    "Он совсем не изменился с последней нашей встречи."
    "Такой же статный, мускулистый воин с выточенным из гранита подбородком и выкованными из стали глазами."
    "Сердце моё забилось чаще при виде его, радостное, что он цел и невредим после похода в гоблинскую пещеру, украшенный черепами и перьями вход в которую виднелся неподалеку."
    "В этот раз я представилась Иридией, сказала, что держу путь в Балер, для обучения у мастера-лучника Элсона и случайно наткнулась на его «лагерь». Он просто кивнул и сказал:"
    d "Деонар. Вычищал гоблинов из этой пещеры для местных горняков. Возвращаюсь в Гильдию. Потом... Не знаю куда."
    "Мы сидели у костра и разговаривали. Я с усердием пересказывала ему все байки, услышанные в таверне, а он делился смешными историями из своих путешествий. Через некоторое время зашел разговор о семье."
    
    scene bg n2
    with Dissolve(.5)
    pause
    scene bg bg2
    with Dissolve(.5)
    show Iridia
    i "Скажи, Деонар, неужели у тебя совсем нет родных?"
    d "Может и есть где, только мне о них ничего не известно. Жены и детей у меня нет. Родителей своих я не помню, а в приюте о них ничего не знали."
    d "Мать-настоятельница говорила, что меня еще младенцем нашли в корзине на пороге приюта."
    i "И ты никогда не хотел их найти, узнать что с ними, где они, живы ли они вообще?"
    d "Никогда. Одному мне всегда было легче. Ни о ком не нужно заботится, ни из-за кого не нужно рисковать шеей. Свобода."
    i "Разве тебе не бывает одиноко?"
    "Её забота трогает меня, но я не могу давать ей повода для беспокойства. Не должен."
    "Я слегка улыбаюсь."
    d "От одиночества могут страдать только те, кто привык к теплу. У меня же его не было изначально, так что все в порядке."
    i "Понятно..."
    "Через некоторое время рейнджер прощается и растворяется в сумерках."
    
    scene bg n3
    with Dissolve(.5)
    pause
    scene bg bg5
    with Dissolve(.5)
    "Медсестра помогает мне снять с головы тяжелый шлем виртуальной реальности. Некоторое время я глупо моргаю и прихожу в себя. "
    "Но мозг быстро справляется с шоком от перехода с симулированных импульсов на реальные."
    "Споро сложив громоздкое оборудование для посетителей в специальный шкаф, медсестра с заботой в голосе начинает задавать вопросы."
    "Нет ли головокружения, тошноты, просит подвигать сначала пальцами, затем руками и ногами, проверяет реакцию и координацию."
    "Oбязательная процедура для всех посетителей государственного дома престарелых после завершения посещения."
    "Удостоверившись, что всё в порядке и заметив мой просящий взгляд, медсестра понимающе кивает и выходит за дверь палаты."
    "По регламенту, посетителям нельзя задерживаться в палате после завершения посещения виртуальной реальности, в которой живет посещаемый. "
    "Считается, что тогда запомнится не счастливый человек из симулятора, а смертельно больной старик со стертой из жалости и гуманизма памятью, заключенный в капсулу, сочетающую в себе функции системы жизнеобеспечения и устройства виртуальной реальности, призванного облегчить последние годы жизни."
    "Однако персонал относится со снисхождением к просьбам родственников."
    "Я медленно подхожу к капсуле и заглядываю в контрольное окно."
    "Он совсем не изменился с последней нашей встречи."
    "Такой же серый, ссохшийся старец с впалыми щеками и тонкой как пергамент кожей."
    "Сердце моё сжимается, и я шепчу."
    "Ирина" "С днём рождения, дедушка."
    
    scene bg n4
    with Dissolve(.5)
    pause
    scene bg bg4
    with Dissolve(.5)
    "Через некоторое время рейнджер прощается и растворяется в сумерках."
    "Еще долго я сижу, любуясь танцем искр в дыму костра."
    "Затем поднимаю своё молодое, с серо-стальными глазами и волевым подбородком лицо к небу, смаргиваю слезы благодарности и шепчу."
    "Дмитрий" "Спасибо, внучка."
    
    
